### Method

# Gio Resolver set_timeout

since: 2.78

#### Declaration [src]

    void
    g_resolver_set_timeout (
      GResolver* resolver,
      unsigned timeout_ms
    )

#### Description [src]

Set the timeout applied to all resolver lookups. See `GResolver:timeout`.

Available since: 2.78

Sets property | `Gio.Resolver:timeout`

#### Parameters

`timeout_ms`

  Type: `unsigned`

  Timeout in milliseconds, or `0` for no timeouts.